## casilda 0.9.2

=== meson_options.txt ===
option(
    'vapi',
    
    type: 'boolean',
    value: false,
    description: 'Whether to build vapi files'
)

## casilda 0.2.0

=== debian/changelog ===
casilda (0.2.0-2) unstable; urgency=medium

  * Upload to unstable 

 -- Jonathan Carter <jcc@debian.org>  Tue, 07 Jan 2025 13:53:07 +0200

casilda (0.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1084737)

 -- Jonathan Carter <jcc@debian.org>  Mon, 26 Aug 2024 11:38:10 +0200

=== debian/control ===
Source: casilda
Section: libdevel
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 gobject-introspection,
 libgtk-4-dev,
 libwlroots-0.18-dev,
 libxkbcommon-dev,
 libxkbcommon-x11-dev,
 dh-sequence-gir,
 gir1.2-gtk-4.0-dev <!nogir>,
 meson
Standards-Version: 4.7.0
Homepage: https://gitlab.gnome.org/jpu/casilda
Vcs-Browser: https://salsa.debian.org/debian/casilda
Vcs-Git: https://salsa.debian.org/debian/casilda.git

Package: libcasilda-dev
Provides: ${gir:Provides}
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: simple wayland compositor widget for Gtk 4 - development files
 A simple wayland compositor widget for Gtk 4.
 Originally created for Cambalache workspace,
 it is useful for embedding other processes windows.
 .
 This package contains the development files.

Package: libcasilda-0.1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple wayland compositor widget for Gtk 4
 A simple wayland compositor widget for Gtk 4.
 Originally created for Cambalache workspace,
 it is useful for embedding other processes windows.

Package: gir1.2-casilda-0.1
Section: introspection
Architecture: any
Depends: ${gir:Depends}, 
         ${misc:Depends}
Description: simple wayland compositor widget for Gtk 4
 A simple wayland compositor widget for Gtk 4.
 Originally created for Cambalache workspace,
 it is useful for embedding other processes windows.
 .
 This package contains the gobject-introspection typelib.

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.gnome.org/jpu/casilda/tags?sort=updated_desc \
 -/archive/v?\d[\d.]+/casilda-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## casilda 0.9.2

=== debian/changelog ===
casilda (0.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Aug 2025 10:32:54 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  .
  This package contains the development files.
 
-Package: libcasilda-0.1
+Package: libcasilda-0.2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -41,7 +41,7 @@
  Originally created for Cambalache workspace,
  it is useful for embedding other processes windows.
 
-Package: gir1.2-casilda-0.1
+Package: gir1.2-casilda-0.2
 Section: introspection
 Architecture: any
 Depends: ${gir:Depends},

## casilda 1.0.0

=== meson_options.txt ===
option(
    'vapi',
    type: 'boolean',
    value: false,
    description: 'Whether to build vapi files'
)
option(
    'documentation',
    type: 'boolean',
    value: false,
    description : 'Build API reference documentation'
)

=== debian/changelog ===
casilda (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years
  * soname bump
    - Update binary package names
    - Update symbols file
  * Remove unnecessary Rules-Requires-Root
  * Update standards version to 4.7.2

 -- Jonathan Carter <jcc@debian.org>  Tue, 16 Sep 2025 11:38:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libdevel
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -14,7 +13,7 @@
  dh-sequence-gir,
  gir1.2-gtk-4.0-dev <!nogir>,
  meson
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/jpu/casilda
 Vcs-Browser: https://salsa.debian.org/debian/casilda
 Vcs-Git: https://salsa.debian.org/debian/casilda.git
@@ -32,7 +31,7 @@
  .
  This package contains the development files.
 
-Package: libcasilda-0.2
+Package: libcasilda-1.0
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -41,7 +40,7 @@
  Originally created for Cambalache workspace,
  it is useful for embedding other processes windows.
 
-Package: gir1.2-casilda-0.2
+Package: gir1.2-casilda-1.0
 Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
